# TODO:
#	- split gtk+2 and gtk+3 engines

%define		xfce_version 4.10.0
Summary:	Xfce theme engine for GTK+
Summary(pl.UTF-8):	Motyw Xfce dla GTK+
Name:		gtk-xfce-engine
Version:	3.0.1
Release:	1
License:	GPL
Group:		Themes/GTK+
Source0:	http://archive.xfce.org/src/xfce/gtk-xfce-engine/3.0/%{name}-%{version}.tar.bz2
# Source0-md5:	174e774d0debb052ec457640275f065d
URL:		http://www.xfce.org/
BuildRequires:	autoconf >= 2.52
BuildRequires:	automake >= 1:1.8
BuildRequires:	glib2-devel >= 1:2.18.0
BuildRequires:	gtk+2-devel >= 2:2.14.0
BuildRequires:	gtk+3-devel >= 3.2.0
BuildRequires:	libtool
BuildRequires:	pkgconfig >= 1:0.9.0
BuildRequires:	xfce4-dev-tools >= 4.10.0
Requires:	gtk+2 >= 2:2.14.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Xfce theme engine for GTK+.

%description -l pl.UTF-8
Motyw Xfce dla GTK+.

%prep
%setup -q

%{__sed} -i -e 's/AM_CONFIG_HEADER/AC_CONFIG_HEADERS/' configure.in

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--disable-silent-rules

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# no *.la for gtk engines
%{__rm} $RPM_BUILD_ROOT%{_libdir}/gtk-*/*/*engines/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_libdir}/gtk-2.0/2.*/engines/*.so
%attr(755,root,root) %{_libdir}/gtk-3.0/3.*/theming-engines/libxfce.so
%{_datadir}/themes/Xfce*
%changelog
* Sun Apr 07 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/gtk-xfce-engine.git;a=log;h=master

* Sun Apr 07 2013 Elan Ruusamäe <glen@delfi.ee> bbf222f
up to 3.0.1

* Thu May 17 2012 Jan Rękorajski <baggins@pld-linux.org> ad64cee
- really delete all la files

* Thu May 17 2012 Jan Rękorajski <baggins@pld-linux.org> 5bb427b
- package gtk+3 engine
- added TODO

* Thu May 17 2012 Jan Rękorajski <baggins@pld-linux.org> f02b96d
- BR gtk3
- no static libs

* Thu May 17 2012 Jan Rękorajski <baggins@pld-linux.org> d72922a
- 3.0.0 for xfce 4.10

* Wed Sep 28 2011 Jan Rękorajski <baggins@pld-linux.org> 34d6800
- 2.8.1

* Mon Feb 07 2011 Marcin Banasiak <marcin.banasiak@gmail.com> 0a73049
- updated to 2.8.0

* Fri Feb 27 2009 Marcin Banasiak <marcin.banasiak@gmail.com> 5accbb9
- updated to 2.6.0

* Mon Oct 27 2008 Paweł Gołaszewski <blues@pld-linux.org> 40275c4
- 2.4.3

* Tue Dec 04 2007 Marcin Banasiak <marcin.banasiak@gmail.com> 2053def
- updated to 2.4.2

* Wed Apr 11 2007 Robert Tomasik <rotom@pld-linux.org> 80c269d
- 2.4.1

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 7d81d1a
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> b15f3b9
- converted to UTF-8

* Sun Jan 21 2007 Marcin Banasiak <marcin.banasiak@gmail.com> ad8e6a3
- updated to 2.4.0 (Xfce 4.4.0)

* Sun Nov 05 2006 Marcin Banasiak <marcin.banasiak@gmail.com> 1a9c3df
- up to 2.3.99.2 (Xfce 4.4RC2)
- updated deps

* Mon Sep 04 2006 Marcin Banasiak <marcin.banasiak@gmail.com> bb53944
- up to 2.3.99.1

* Sun Jul 16 2006 freetz <freetz@pld-linux.org> ae98954
- use one xfce_version in all xfce specs

* Sun Jul 16 2006 freetz <freetz@pld-linux.org> c2f9162
- merged from DEVEL

* Thu Nov 10 2005 Karol Krenski <charles@pld-linux.org> 4942932
- updated to 2.2.8

* Thu May 19 2005 Michal Chruszcz <mchruszcz@gmail.com> 4b5544d
- updated to 2.2.7 (Xfce 4.2.2)

